Index: Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	5 Apr 2004 05:30:12 -0000	1.5
+++ Makefile	19 Jan 2006 21:29:05 -0000
@@ -17,6 +17,7 @@
 
 SRCS=		scan.c ccl.c dfa.c ecs.c gen.c main.c misc.c nfa.c parse.y \
 		skel.c sym.c tblcmp.c yylex.c
+WARNS?=	6
 LFLAGS+=	-is
 CFLAGS+=	-I. -I${.CURDIR}
 INCS=		FlexLexer.h
Index: lib/Makefile
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/lib/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- lib/Makefile	30 Jul 2005 13:59:45 -0000	1.3
+++ lib/Makefile	19 Jan 2006 21:26:22 -0000
@@ -2,6 +2,7 @@
 # $DragonFly: src/usr.bin/lex/lib/Makefile,v 1.3 2005/07/30 13:59:45 joerg Exp $
 
 LIB=    ln
+WARNS?= 6
 SRCS=   libmain.c libyywrap.c
 NOPIC=	yes
 
Index: lib/libmain.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/lib/libmain.c,v
retrieving revision 1.2
diff -u -r1.2 libmain.c
--- lib/libmain.c	17 Jun 2003 04:29:28 -0000	1.2
+++ lib/libmain.c	19 Jan 2006 21:26:58 -0000
@@ -7,12 +7,10 @@
 
 extern int yylex();
 
-int main( argc, argv )
-int argc;
-char *argv[];
-	{
-	while ( yylex() != 0 )
-		;
+int main( int argc, char *argv )
+{
+    while ( yylex() != 0 )
+	;
 
-	return 0;
-	}
+    return 0;
+}
Index: lib/libyywrap.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/lex/lib/libyywrap.c,v
retrieving revision 1.2
diff -u -r1.2 libyywrap.c
--- lib/libyywrap.c	17 Jun 2003 04:29:28 -0000	1.2
+++ lib/libyywrap.c	19 Jan 2006 21:17:53 -0000
@@ -5,7 +5,7 @@
  * $DragonFly: src/usr.bin/lex/lib/libyywrap.c,v 1.2 2003/06/17 04:29:28 dillon Exp $
  */
 
-int yywrap()
-	{
-	return 1;
-	}
+int yywrap(void)
+{
+    return 1;
+}
